<template>
  <div class="flex-grow-1">
    <div class="d-flex align-center py-3">
      <div>
        <!-- <div class="display-1">Edit User {{ user.name && `- ${user.name}` }}</div> -->
        <v-breadcrumbs :items="breadcrumbs" class="pa-0 py-2"></v-breadcrumbs>
      </div>
      <v-spacer></v-spacer>
      <v-btn icon @click="">
        <v-icon>mdi-refresh</v-icon>
      </v-btn>
    </div>

    <v-tabs v-model="tab" :show-arrows="false" background-color="transparent">
      <v-tab to="#tabs-account">{{$t('ProviderEdit.Account')}}</v-tab>
      <v-tab to="#ProviderTime">{{$t('ProviderEdit.InformationActivitySalon')}}</v-tab>
      <!-- <v-tab to="#tabs-information">{{$t('ProviderEdit.Services')}}</v-tab>
      <v-tab to="#tabs-information">{{$t('ProviderEdit.Photos')}}</v-tab>
      <v-tab to="#tabs-information">{{$t('ProviderEdit.Employees')}}</v-tab>
      <v-tab to="#tabs-information">{{$t('ProviderEdit.ExecutionTimePlace')}}</v-tab>
      <v-tab to="#tabs-information">{{$t('ProviderEdit.Pricing')}}</v-tab>
      <v-tab to="#tabs-information">{{$t('ProviderEdit.ManageUsers')}}</v-tab>
      <v-tab to="#tabs-information">{{$t('ProviderEdit.EmployeesPolicies')}}</v-tab>
      <v-tab to="#tabs-information">{{$t('ProviderEdit.PaymentInfo')}}</v-tab>
      <v-tab to="#tabs-information">{{$t('ProviderEdit.AccountPreview')}}</v-tab> -->
    </v-tabs>

    <v-tabs-items v-model="tab">
      <v-tab-item value="tabs-account">
        <account-tab ref="tabs-account"></account-tab>
      </v-tab-item>

      <v-tab-item value="ProviderTime">
        <ProviderTime ref="ProviderTime"></ProviderTime>
      </v-tab-item>
    </v-tabs-items>
  </div>
</template>

<script>
import AccountTab from './EditUser/AccountTab'
import ProviderTime from './EditUser/ProviderTime'
export default {
  components: {
    AccountTab,
    ProviderTime
  },
  data() {
    return {
      tab: null,
      breadcrumbs: [
        {
          text: this.$i18n.t('ProviderEdit.User'),
          to: '/users/list',
          exact: true
        },
        {
          text: this.$i18n.t('ProviderEdit.EditUser')
        }
      ]
    }
  },
}
</script>
